# Uses of Interface
org.gitana.platform.client.application.EmailProvider

Packages that use EmailProvider
Package
Description
org.gitana.platform.client.application
org.gitana.platform.client.support

## Uses of EmailProvider in org.gitana.platform.client.application

Classes in org.gitana.platform.client.application that implement EmailProvider
Modifier and Type
Class
Description
`class`
`EmailProviderImpl`
Methods in org.gitana.platform.client.application that return EmailProvider
Modifier and Type
Method
Description
`EmailProvider`
Application.`createEmailProvider()`
`EmailProvider`
Application.`createEmailProvider(com.fasterxml.jackson.databind.node.ObjectNode object)`
`EmailProvider`
ApplicationImpl.`createEmailProvider()`
`EmailProvider`
ApplicationImpl.`createEmailProvider(com.fasterxml.jackson.databind.node.ObjectNode object)`
`EmailProvider`
Application.`readEmailProvider(String emailProviderId)`
`EmailProvider`
ApplicationImpl.`readEmailProvider(String emailProviderId)`
Methods in org.gitana.platform.client.application that return types with arguments of type EmailProvider
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<EmailProvider>`
Application.`listEmailProviders()`
`org.gitana.platform.support.ResultMap<EmailProvider>`
Application.`listEmailProviders(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<EmailProvider>`
ApplicationImpl.`listEmailProviders()`
`org.gitana.platform.support.ResultMap<EmailProvider>`
ApplicationImpl.`listEmailProviders(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<EmailProvider>`
Application.`queryEmailProviders(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<EmailProvider>`
Application.`queryEmailProviders(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<EmailProvider>`
ApplicationImpl.`queryEmailProviders(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<EmailProvider>`
ApplicationImpl.`queryEmailProviders(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
Methods in org.gitana.platform.client.application with parameters of type EmailProvider
Modifier and Type
Method
Description
`void`
Application.`deleteEmailProvider(EmailProvider emailProvider)`
`void`
ApplicationImpl.`deleteEmailProvider(EmailProvider emailProvider)`
`void`
Application.`updateEmailProvider(EmailProvider emailProvider)`
`void`
ApplicationImpl.`updateEmailProvider(EmailProvider emailProvider)`

## Uses of EmailProvider in org.gitana.platform.client.support

Methods in org.gitana.platform.client.support that return EmailProvider
Modifier and Type
Method
Description
`EmailProvider`
ObjectFactory.`emailProvider(Application application, Response response)`
`EmailProvider`
ObjectFactoryImpl.`emailProvider(Application application, Response response)`
Methods in org.gitana.platform.client.support that return types with arguments of type EmailProvider
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<EmailProvider>`
ObjectFactory.`emailProviders(Application application, Response response)`
`org.gitana.platform.support.ResultMap<EmailProvider>`
ObjectFactoryImpl.`emailProviders(Application application, Response response)`